=== debian/changelog ===
rpi-lgpio (0.3-0ubuntu1) kinetic; urgency=medium

  * Initial release. (LP: #1992784)

 -- Dave Jones <dave@waveform.org.uk>  Fri, 14 Oct 2022 01:36:59 +0100
