=== debian/control ===
Source: rpi-lgpio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dave Jones <dave@waveform.org.uk>,
Homepage: https://github.com/waveform80/rpi-lgpio
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-doc,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.1.0
Vcs-Git: https://salsa.debian.org/python-team/packages/rpi-lgpio.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpi-lgpio
Rules-Requires-Root: no

Package: python3-rpi-lgpio
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-lgpio
Provides: python3-rpi.gpio
Conflicts: python3-rpi.gpio
Description: Compatibility shim for lgpio emulating the RPi.GPIO API
 The rpi-lgpio library provides an RPi.GPIO compatible interface to the
 lgpio library, which operates GPIO via the Linux kernel's gpiochip devices.
 .
 This is the Python 3 version of the API.

Package: python-rpi-lgpio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python3-doc
Description: Compatibility shim for lgpio emulating the RPi.GPIO API - docs
 The rpi-lgpio library provides an RPi.GPIO compatible interface to the
 lgpio library, which operates GPIO via the Linux kernel's gpiochip devices.
 .
 This is the documentation for the API.
