## rpi-lgpio 0.4

=== debian/changelog ===
rpi-lgpio (0.4-0ubuntu1) mantic; urgency=medium

  * New upstream release. (LP: #2038311)
  * Adds Pi 5 compatibility
  * Bump standards version
  * d/p/local-objects-inv.patch: actually use the local docs, not just the
    object inventory

 -- Dave Jones <dave.jones@canonical.com>  Wed, 04 Oct 2023 10:17:49 +0100
