=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/rpi-lgpio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rpi-lgpio
 Rules-Requires-Root: no
