## rpi-lgpio 0.5

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	$(PIP) install -U pip
 	$(PIP) install -U twine
 	$(PIP) install -U tox
-	$(PIP) install -e .[doc,test,yaml]
+	$(PIP) install -e .[doc,test]
 
 test:
 	$(PYTEST)
