=== debian/changelog ===
rpi-lgpio (0.5-0ubuntu1) noble; urgency=medium

  * New upstream release, fixing GPIO2/3 operation (LP: #2060754)
  * d/control: Remove redundant explicit dep on lgpio

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 23:02:38 +0100
