=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: python3-rpi-lgpio
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-lgpio
+Depends: ${misc:Depends}, ${python3:Depends}
 Provides: python3-rpi.gpio
 Conflicts: python3-rpi.gpio
 Description: Compatibility shim for lgpio emulating the RPi.GPIO API
