=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=rpi-lgpio

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html

override_dh_auto_test:
	# Don't attempt to run any tests because there aren't any yet and
	# attempting to import the module tries to import lgpio which isn't a
	# build-dep

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-rpi-lgpio -ppython-rpi-lgpio-doc
	dh_installdocs -ppython3-rpi-lgpio
