## rpi-lgpio 0.6

=== debian/changelog ===
rpi-lgpio (0.6-0~rpt1+trixie) trixie; urgency=medium

  * Update gbp.conf
  * Trixie rebuild
  * Update maintainer information

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 21 May 2025 17:26:20 +0100

rpi-lgpio (0.6-0~rpt1) bookworm; urgency=medium

  * Raspberry Pi OS rebuild

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 10:45:29 +0100

rpi-lgpio (0.6-0ubuntu1) oracular; urgency=medium

  * New upstream release, fixing future gpiochip renumber (LP: #2065493)

 -- Dave Jones <dave.jones@canonical.com>  Sat, 11 May 2024 18:22:21 +0100
