=== debian/control ===
--- 
+++ 
@@ -1,8 +1,5 @@
 Source: rpi-lgpio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Dave Jones <dave@waveform.org.uk>,
+Maintainer: Serge Schneider <serge@raspberrypi.com>
 Homepage: https://github.com/waveform80/rpi-lgpio
 Section: python
 Priority: optional
@@ -15,8 +12,6 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/python-team/packages/rpi-lgpio.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/rpi-lgpio
 Rules-Requires-Root: no
 
 Package: python3-rpi-lgpio
